FirmwareAPI DocumentationLUXminer commands
logs
Log collection
Logs
Description
The /logs/live endpoint was changed from WebSocket to a "regular" HTTP endpoint.
This endpoint now returns a paginated list of log lines, up to the most recent 1000 entries, on INFO level (includes INFO, WARN and ERROR). The page size, and the page can be specified by page_size and page, respectively.
Command
GET $MINER_IP/log/liveExamples
Default: First page, with a page size of 20.
GET http://192.168.0.33:8080/log/liveFirst page, with pages of size 5.
GET http://192.168.0.33:8080/log/live?page=0&page_size=5Third page, with a page size of 10.
GET http://192.168.0.33:8080/log/live?page=2&page_size=10This example grabs the 6th page, and each page has 3 items.
$ curl --silent "http://192.168.0.33:8080/log/live?page=6&page_size=3" | jq
{
"data": [
{
"fields": {
"hashboard_id": 2,
"message": "Board runtime sync done, healthcheck will continue"
},
"level": "INFO",
"target": "luxminer::health",
"threadId": "ThreadId(16)",
"timestamp": "2023-12-14T14:26:16.103421Z"
},
{
"fields": {
"hashboard_id": 0,
"message": "Board runtime sync done, healthcheck will continue"
},
"level": "INFO",
"target": "luxminer::health",
"threadId": "ThreadId(16)",
"timestamp": "2023-12-14T14:26:22.511751Z"
},
{
"fields": {
"hashboard_id": 1,
"message": "Board runtime sync done, healthcheck will continue"
},
"level": "INFO",
"target": "luxminer::health",
"threadId": "ThreadId(16)",
"timestamp": "2023-12-14T14:26:25.515773Z"
}
],
"paging": {
"params": {
"page": 6,
"page_size": 3
},
"total_entries": 21
}
}
Parameters
| Parameter | Notes |
|---|---|
page_size | The requested page size; should be the same value you specified in the query string |
page | The page number you want to request |
sort | Sort the data |
- asc: sorted entries, divided into pages from the start (Default) | |
- desc: same as asc, but backwards | |
- pagedesc: the order is unchanged, but the page split is backwards |